=== debian/changelog ===
libime-jyutping (1.0.3-2) unstable; urgency=medium

  * Source-only upload.

 -- Boyuan Yang <byang@debian.org>  Sat, 23 Jul 2022 16:44:21 -0400

libime-jyutping (1.0.3-1) unstable; urgency=medium

  * Initial release.

 -- Boyuan Yang <byang@debian.org>  Sun, 10 Jul 2022 10:56:20 -0400
