=== debian/changelog ===
libime-jyutping (1.0.5-1) unstable; urgency=medium

  * New upstream release.
    + Fix compatibility with libboost 1.81.
  * debian/control: Require libime (>= 1.0.16~).

 -- Boyuan Yang <byang@debian.org>  Wed, 30 Nov 2022 14:01:01 -0500
