=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  libfcitx5utils-dev,
  libfmt-dev,
  libime-bin,
- libimecore-dev,
+ libimecore-dev (>= 1.0.16~),
  pkg-config,
 Rules-Requires-Root: no
 Standards-Version: 4.6.1
