=== debian/changelog ===
libime-jyutping (1.0.6-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Thu, 15 Jun 2023 09:56:42 -0400
