## libime-jyutping 1.0.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.7)
-project(libime-jyutping VERSION 1.0.6)
+project(libime-jyutping VERSION 1.0.9)
 
 find_package(ECM 1.0 REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
@@ -23,8 +23,18 @@
 include(ECMGenerateHeaders)
 include(ECMGeneratePkgConfigFile)
 include(ECMUninstallTarget)
+find_package(PkgConfig REQUIRED)
 
+pkg_check_modules(ZSTD REQUIRED IMPORTED_TARGET "libzstd")
 find_package(Fcitx5Utils REQUIRED)
+find_package(fmt REQUIRED)
+
+if (TARGET fmt::fmt-header-only)
+    set(FMT_TARGET fmt::fmt-header-only)
+else()
+    set(FMT_TARGET fmt::fmt)
+endif ()
+
 include("${FCITX_INSTALL_CMAKECONFIG_DIR}/Fcitx5Utils/Fcitx5CompilerSettings.cmake")
 
 find_package(Boost 1.61 REQUIRED COMPONENTS iostreams)
@@ -32,8 +42,12 @@
 set(LIBIME_JYUTPING_INSTALL_LIBDATADIR "${CMAKE_INSTALL_FULL_LIBDIR}/libime")
 
 find_package(LibIMECore 1.0.16 REQUIRED)
-find_package(Gettext REQUIRED)
-find_package(Fcitx5Module REQUIRED Spell Punctuation QuickPhrase)
+
+if(ENABLE_ENGINE)
+    find_package(Gettext REQUIRED)
+    find_package(Fcitx5Module REQUIRED Spell Punctuation QuickPhrase)
+    add_subdirectory(po)
+endif()
 
 if(ENABLE_TEST)
     enable_testing()
@@ -43,7 +57,6 @@
 add_subdirectory(src)
 add_subdirectory(tools)
 add_subdirectory(data)
-add_subdirectory(po)
 
 if (ENABLE_DOC)
   find_package(Doxygen REQUIRED)
