=== debian/control ===
--- 
+++ 
@@ -19,6 +19,7 @@
  libfmt-dev,
  libime-bin,
  libimecore-dev (>= 1.0.16~),
+ libzstd-dev,
  pkg-config,
 Rules-Requires-Root: no
 Standards-Version: 4.6.1
