## libime-jyutping 1.0.12

=== debian/changelog ===
libime-jyutping (1.0.12-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sat, 01 Jun 2024 19:36:16 -0400

libime-jyutping (1.0.11-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Fri, 26 Apr 2024 01:01:39 -0400

libime-jyutping (1.0.10-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Mon, 18 Mar 2024 22:49:32 -0400
