=== src/engine/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 set(JYUTPING_SOURCES
     engine.cpp
 )
-add_library(jyutping MODULE ${JYUTPING_SOURCES})
+add_fcitx5_addon(jyutping ${JYUTPING_SOURCES})
 target_link_libraries(jyutping Fcitx5::Core Fcitx5::Config Fcitx5::Module::Spell Fcitx5::Module::Punctuation Fcitx5::Module::QuickPhrase LibIME::Jyutping Boost::iostreams ${FMT_TARGET})
 target_compile_definitions(jyutping
     PRIVATE LIBIME_JYUTPING_INSTALL_PKGDATADIR=\"${LIBIME_JYUTPING_INSTALL_PKGDATADIR}\"
@@ -12,7 +12,8 @@
 install(TARGETS jyutping DESTINATION "${CMAKE_INSTALL_LIBDIR}/fcitx5")
 fcitx5_translate_desktop_file(jyutping.conf.in jyutping.conf)
 install(FILES "${CMAKE_CURRENT_BINARY_DIR}/jyutping.conf" DESTINATION "${CMAKE_INSTALL_DATADIR}/fcitx5/inputmethod" COMPONENT config)
-fcitx5_translate_desktop_file(jyutping-addon.conf.in jyutping-addon.conf)
+configure_file(jyutping-addon.conf.in.in ${CMAKE_CURRENT_BINARY_DIR}/jyutping-addon.conf.in @ONLY)
+fcitx5_translate_desktop_file(${CMAKE_CURRENT_BINARY_DIR}/jyutping-addon.conf.in jyutping-addon.conf)
 install(FILES "${CMAKE_CURRENT_BINARY_DIR}/jyutping-addon.conf" RENAME jyutping.conf DESTINATION "${FCITX_INSTALL_PKGDATADIR}/addon" COMPONENT config)
