=== debian/changelog ===
libime-jyutping (1.0.13-1build1) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 08 Aug 2025 05:34:21 +0200

libime-jyutping (1.0.13-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sat, 25 Jan 2025 17:30:41 -0500
