=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  gettext,
  libboost-dev,
  libboost-iostreams-dev,
- libfcitx5core-dev (>= 5.0.16~),
+ libfcitx5core-dev (>= 5.1.12),
  libfcitx5utils-dev,
  libfmt-dev,
  libime-bin,
