=== data/CMakeLists.txt ===
--- 
+++ 
@@ -37,5 +37,5 @@
   DEPENDS "${DICT_SRC}" LibIME::jyutpingdict
   COMMAND LibIME::jyutpingdict "${DICT_SRC}" "${DICT_OUTPUT}")
 add_custom_target(dict ALL DEPENDS "${DICT_OUTPUT}")
-install(FILES "${DICT_OUTPUT}" DESTINATION "${LIBIME_INSTALL_PKGDATADIR}")
-install(FILES "${LM_OUTPUT}" "${LM_PREDICT_OUTPUT}" DESTINATION "${LIBIME_INSTALL_LIBDATADIR}")
+install(FILES "${DICT_OUTPUT}" DESTINATION "${LIBIME_JYUTPING_INSTALL_PKGDATADIR}")
+install(FILES "${LM_OUTPUT}" "${LM_PREDICT_OUTPUT}" DESTINATION "${LIBIME_JYUTPING_INSTALL_LIBDATADIR}")
