=== src/engine/CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
     engine.cpp
 )
 add_fcitx5_addon(jyutping ${JYUTPING_SOURCES})
-target_link_libraries(jyutping Fcitx5::Core Fcitx5::Config Fcitx5::Module::Spell Fcitx5::Module::Punctuation Fcitx5::Module::QuickPhrase LibIME::Jyutping Boost::iostreams ${FMT_TARGET})
+target_link_libraries(jyutping Fcitx5::Core Fcitx5::Config Fcitx5::Module::Spell Fcitx5::Module::Punctuation Fcitx5::Module::QuickPhrase LibIME::Jyutping)
 target_compile_definitions(jyutping
     PRIVATE LIBIME_JYUTPING_INSTALL_PKGDATADIR=\"${LIBIME_JYUTPING_INSTALL_PKGDATADIR}\"
             FCITX_GETTEXT_DOMAIN=\"fcitx5-jyutping\"
