=== src/libime/CMakeLists.txt ===
add_subdirectory(jyutping)
