=== debian/changelog ===
libime-jyutping (1.0.14-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Move package description to source package section.

 -- Boyuan Yang <byang@debian.org>  Tue, 12 Aug 2025 18:58:11 -0400
