=== debian/watch ===
version=4
opts="pgpmode=auto" \
 https://download.fcitx-im.org/fcitx5/libime-jyutping/ \
 libime-jyutping-@ANY_VERSION@_dict@ARCHIVE_EXT@ debian uupdate
