=== src/CMakeLists.txt ===
add_subdirectory(libime)

if (ENABLE_ENGINE)
add_subdirectory(engine)
endif()
