=== src/libime/jyutping/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 ecm_setup_version(PROJECT
                   VARIABLE_PREFIX IMEJyutping
                   PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/LibIMEJyutpingConfigVersion.cmake"
-                  SOVERSION 0)
+                  SOVERSION 1)
 
 set(LIBIME_JYUTPING_HDRS
     jyutpingdictionary.h
@@ -35,10 +35,10 @@
     $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>
     $<INSTALL_INTERFACE:${CMAKE_INSTALL_FULL_INCLUDEDIR}/LibIME>)
 
-target_link_libraries(IMEJyutping PUBLIC Fcitx5::Utils Boost::boost LibIME::Core)
+target_link_libraries(IMEJyutping PUBLIC Fcitx5::Utils Boost::boost LibIME::Core PRIVATE Boost::iostreams PkgConfig::ZSTD)
 
-install(TARGETS IMEJyutping EXPORT LibIMEJyutpingTargets LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}")
-install(FILES ${LIBIME_JYUTPING_HDRS} DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/LibIME/libime/jyutping")
+install(TARGETS IMEJyutping EXPORT LibIMEJyutpingTargets LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}" COMPONENT lib)
+install(FILES ${LIBIME_JYUTPING_HDRS} DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/LibIME/libime/jyutping" COMPONENT header)
 
 add_library(LibIME::Jyutping ALIAS IMEJyutping)
 
@@ -49,10 +49,14 @@
 
 generate_export_header(IMEJyutping BASE_NAME LibIMEJyutping)
 
-install(EXPORT LibIMEJyutpingTargets DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/LibIMEJyutping" FILE LibIMEJyutpingTargets.cmake NAMESPACE LibIME:: )
+install(EXPORT LibIMEJyutpingTargets
+        DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/LibIMEJyutping"
+        FILE LibIMEJyutpingTargets.cmake
+        NAMESPACE LibIME::
+        COMPONENT Devel)
 
 install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/LibIMEJyutpingConfig.cmake"
                "${CMAKE_CURRENT_BINARY_DIR}/LibIMEJyutpingConfigVersion.cmake"
         DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/LibIMEJyutping"
-        COMPONENT Devel )
+        COMPONENT Devel)
