=== debian/changelog ===
libime-jyutping (1.0.15-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sat, 08 Nov 2025 15:03:34 -0500
