## libime-jyutping 1.0.16

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.7)
-project(libime-jyutping VERSION 1.0.15)
+project(libime-jyutping VERSION 1.0.16)
 
 set(REQUIRED_FCITX_VERSION 5.1.13)
 find_package(ECM 1.0 REQUIRED)
@@ -8,9 +8,12 @@
 #########################################
 # Options
 #########################################
+option(BUILD_SHARED_LIBS "Build library as shared libs" On)
 option(ENABLE_ENGINE "Enable input method for fcitx" On)
 option(ENABLE_TEST "Build Test" On)
 option(ENABLE_DOC "Build doxygen" Off)
+option(ENABLE_DATA "Build data" On)
+option(ENABLE_TOOLS "Build tools" On)
 
 #########################################
 # Dependency
@@ -50,8 +53,12 @@
 endif()
 
 add_subdirectory(src)
-add_subdirectory(tools)
-add_subdirectory(data)
+if (ENABLE_TOOLS)
+    add_subdirectory(tools)
+endif()
+if (ENABLE_DATA)
+    add_subdirectory(data)
+endif()
 
 if (ENABLE_DOC)
   find_package(Doxygen REQUIRED)
