=== data/CMakeLists.txt ===
--- 
+++ 
@@ -4,9 +4,9 @@
 set(MODEL_TAR "jyutping-model-20180103.tar.xz")
 set(MODEL_URL "https://download.fcitx-im.org/data/${MODEL_TAR}")
 
-fcitx5_download(dict-download ${DICT_URL} ${DICT_TAR}
+fcitx5_download(jyutping-dict-download ${DICT_URL} ${DICT_TAR}
                 e3a5b13edb8efa2f764245a3232f99ba7e7670e22b8cbe666a4fffa84b35f35b)
-fcitx5_extract(dict-extract ${DICT_TAR} DEPENDS dict-download
+fcitx5_extract(jyutping-dict-extract ${DICT_TAR} DEPENDS jyutping-dict-download
                 OUTPUT words.txt)
 
 fcitx5_download(model-download ${MODEL_URL} ${MODEL_TAR}
@@ -36,6 +36,6 @@
   OUTPUT "${DICT_OUTPUT}"
   DEPENDS "${DICT_SRC}" LibIME::jyutpingdict
   COMMAND LibIME::jyutpingdict "${DICT_SRC}" "${DICT_OUTPUT}")
-add_custom_target(dict ALL DEPENDS "${DICT_OUTPUT}")
+add_custom_target(jyutping-dict ALL DEPENDS "${DICT_OUTPUT}")
 install(FILES "${DICT_OUTPUT}" DESTINATION "${LIBIME_JYUTPING_INSTALL_PKGDATADIR}")
 install(FILES "${LM_OUTPUT}" "${LM_PREDICT_OUTPUT}" DESTINATION "${LIBIME_JYUTPING_INSTALL_LIBDATADIR}")
