=== debian/changelog ===
libime-jyutping (1.0.16-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Mon, 29 Dec 2025 21:11:59 -0500
