=== debian/control ===
--- 
+++ 
@@ -20,8 +20,7 @@
  libimecore-dev (>= 1.0.16~),
  libzstd-dev,
  pkgconf,
-Rules-Requires-Root: no
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/fcitx/libime-jyutping
 Vcs-Git: https://salsa.debian.org/input-method-team/libime-jyutping.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/libime-jyutping
